%brp_strip_none %_bindir/*
%brp_strip_none %browser_plugins_path/*
%set_verify_elf_method textrel=relaxed
%def_enable include_x86_64

Name: npapi-adobe-flash-player
%define bin_name npapi-plugin-adobe-flash
%define ver_fake   32
%define ver_ix86   32.0.0.171
%define ver_x86_64 32.0.0.171
Release: alt0
Serial: 3

%define ver_real %ver_fake
%ifarch x86_64
%define ver_real %ver_x86_64
%endif
%ifarch %ix86
%define ver_real %ver_ix86
%endif
Version: %ver_fake

Group: Networking/WWW
Summary: Adobe Flash Player
URL: http://www.adobe.com/products/flashplayer/
License: Adobe

ExclusiveArch: %ix86 x86_64
BuildRequires: rpm-macros-browser-plugins libXt libgtk+2-devel fontconfig desktop-file-utils

Source: adobe_flash_player_eula.desktop
Source10: flash_player-x86_64-%ver_x86_64.tar
Source11: flash_player-x86-%ver_ix86.tar

Packager: Pakin Yury <zxwarior@yandex.ru>

%description
Adobe Flash Player %version (Macromedia Flash)
Fully Supported: Mozilla 1.0+, Netscape 7.x, Firefox 0.8+
Partially Supported: Opera, Konqueror 3.x

See the distribution license in
 http://www.adobe.com/legal/licenses-terms.html

%package -n %bin_name
Version: %ver_real
Group: Networking/WWW
Summary: Adobe Flash Player
Requires: libcurl /usr/bin/xdg-open
Conflicts: mozilla-plugin-adobe-flash
Conflicts: freshplayerplugin
Provides: flash-plugin = %version-%release
Obsoletes: flash-plugin <= %version
Provides: mozilla-plugin-macromedia-flash = %version-%release
Obsoletes: mozilla-plugin-macromedia-flash < %version-%release
%description -n %bin_name
Adobe Flash Player %version (Macromedia Flash)
Fully Supported: Mozilla 1.0+, Netscape 7.x, Firefox 0.8+
Partially Supported: Opera, Konqueror 3.x

See the distribution license in
  http://www.adobe.com/legal/licenses-terms.html

%package fake
Version: %ver_fake
Group: Networking/WWW
Summary: fake
%description fake
fake


%prep
%setup -Tqcn flash_player_%{version}_linux
%ifarch x86_64
%if_enabled include_x86_64
tar xfv %SOURCE10
%endif
%else
tar xfv %SOURCE11
%endif


%build

%install
mkdir -p -m 0755 %buildroot/%browser_plugins_path
%ifarch x86_64
%if_enabled include_x86_64
install -m 0644 libflashplayer.so %buildroot/%browser_plugins_path
%endif
%else
install -m 0644 libflashplayer.so %buildroot/%browser_plugins_path
%endif

# install flash-player-properties
mkdir -p %buildroot/{%_bindir,%_desktopdir,%_miconsdir,%_niconsdir,%_liconsdir}
install -m0755 ./%_bindir/flash-player-properties %buildroot/%_bindir/
desktop-file-install -m 0644 --dir %buildroot/%_desktopdir \
    --add-category=X-PersonalSettings \
    --remove-key=NotShowIn \
    ./%_desktopdir/flash-player-properties.desktop
for icondir in %_miconsdir %_niconsdir %_liconsdir
do
    install -m 0644 ./$icondir/flash-player-properties.png %buildroot/$icondir/
done


# menu
mkdir -p -m0755 %buildroot/%_desktopdir
install -m0644 %SOURCE0 %buildroot/%_desktopdir/

%ifarch x86_64
%if_disabled include_x86_64
%post -n %bin_name
echo "At this moment you must install manually nspluginwrapper and i586-%name (see bugs 23876 23877 23878 23903)"
%endif
%endif

%files -n %bin_name
%_bindir/flash-player-properties
%_desktopdir/flash-player-properties.desktop
%_iconsdir/hicolor/*/apps/flash-player-properties.*
#
%ifarch x86_64
%if_enabled include_x86_64
%browser_plugins_path/*
%_desktopdir/adobe_flash_player_eula.desktop
%endif
%else
%browser_plugins_path/*
%_desktopdir/adobe_flash_player_eula.desktop
%endif

%changelog
* Fri May  3 2019 Speccyfighter <zxwarior@yandex.ru> 3:32-alt0
- update to version 32.0.0.171
* Tue Sep  4 2018 Speccyfighter <zxwarior@yandex.ru> 3:30-alt0
- update to version 30.0.0.154
* Thu Jun 14 2018 Speccyfighter <zxwarior@yandex.ru> 3:30-alt0
- update to version 30.0.0.113
* Tue May  8 2018 Speccyfighter <zxwarior@yandex.ru> 3:29-alt0
- update to version 29.0.0.140
* Fri Feb  9 2018 Speccyfighter <zxwarior@yandex.ru> 3:28-alt0
- update to version 28.0.0.161
* Mon Jan 22 2018 Speccyfighter <zxwarior@yandex.ru> 3:28-alt0
- update to version 28.0.0.137
* Sat Dec 23 2017 Speccyfighter <zxwarior@yandex.ru> 3:28-alt0
- update to version 28.0.0.126
* Sun Nov 19 2017 Speccyfighter <zxwarior@yandex.ru> 3:27-alt0
- update to version 27.0.0.187
* Mon Oct 30 2017 Speccyfighter <zxwarior@yandex.ru> 3:27-alt0
- update to version 27.0.0.183
* Sun Sep 17 2017 Speccyfighter <zxwarior@yandex.ru> 3:27-alt0
- update to version 27.0.0.130
* Mon Aug 14 2017 Speccyfighter <zxwarior@yandex.ru> 3:26-alt0
- update to version 26.0.0.151
* Sat Jul 22 2017 Speccyfighter <zxwarior@yandex.ru> 3:26-alt0
- update to version 26.0.0.137
- added conflict with packages
* Thu Jun  1 2017 Speccyfighter <zxwarior@yandex.ru> 3:25-alt0
- update to version 25.0.0.171
* Mon May  1 2017 Speccyfighter <zxwarior@yandex.ru> 3:25-alt0
- new version
